diff -urN 17-STYMulator-0.21a_make_install/configure 18-STYMulator-0.21a_man_pages/configure
--- 17-STYMulator-0.21a_make_install/configure	2010-04-26 14:16:37.150607645 +0200
+++ 18-STYMulator-0.21a_man_pages/configure	2010-04-26 14:44:00.466593788 +0200
@@ -2108,6 +2108,7 @@
 
 
 
+
 ac_aux_dir=
 for ac_dir in "$srcdir" "$srcdir/.." "$srcdir/../.."; do
   for ac_t in install-sh install.sh shtool; do
@@ -5260,36 +5261,6 @@
   esac
 _ACEOF
 
-cat >>$CONFIG_STATUS <<\_ACEOF || ac_write_fail=1
-# If the template does not know about datarootdir, expand it.
-# FIXME: This hack should be removed a few years after 2.60.
-ac_datarootdir_hack=; ac_datarootdir_seen=
-ac_sed_dataroot='
-/datarootdir/ {
-  p
-  q
-}
-/@datadir@/p
-/@docdir@/p
-/@infodir@/p
-/@localedir@/p
-/@mandir@/p'
-case `eval "sed -n \"\$ac_sed_dataroot\" $ac_file_inputs"` in
-*datarootdir*) ac_datarootdir_seen=yes;;
-*@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
-  { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
-$as_echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
-_ACEOF
-cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
-  ac_datarootdir_hack='
-  s&@datadir@&$datadir&g
-  s&@docdir@&$docdir&g
-  s&@infodir@&$infodir&g
-  s&@localedir@&$localedir&g
-  s&@mandir@&$mandir&g
-  s&\\\${datarootdir}&$datarootdir&g' ;;
-esac
-_ACEOF
 
 # Neutralize VPATH when `$srcdir' = `.'.
 # Shell code in configure.ac might set extrasub.
@@ -5312,18 +5283,10 @@
 s&@abs_builddir@&$ac_abs_builddir&;t t
 s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
 s&@INSTALL@&$ac_INSTALL&;t t
-$ac_datarootdir_hack
 "
 eval sed \"\$ac_sed_extra\" "$ac_file_inputs" | $AWK -f "$tmp/subs.awk" >$tmp/out \
   || as_fn_error "could not create $ac_file" "$LINENO" 5
 
-test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
-  { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
-  { ac_out=`sed -n '/^[	 ]*datarootdir[	 ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
-  { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $ac_file contains a reference to the variable \`datarootdir'
-which seems to be undefined.  Please make sure it is defined." >&5
-$as_echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
-which seems to be undefined.  Please make sure it is defined." >&2;}
 
   rm -f "$tmp/stdin"
   case $ac_file in
diff -urN 17-STYMulator-0.21a_make_install/configure.ac 18-STYMulator-0.21a_man_pages/configure.ac
--- 17-STYMulator-0.21a_make_install/configure.ac	2010-04-26 14:16:37.054645629 +0200
+++ 18-STYMulator-0.21a_man_pages/configure.ac	2010-04-26 14:43:55.949607756 +0200
@@ -1,4 +1,5 @@
 AC_INIT(stymulator, 0.22, stian@nixia.no)
+AC_DEFUN([AC_DATAROOTDIR_CHECKED])
 
 AC_CANONICAL_HOST
 AC_PROG_CC
diff -urN 17-STYMulator-0.21a_make_install/Rules.make.in 18-STYMulator-0.21a_man_pages/Rules.make.in
--- 17-STYMulator-0.21a_make_install/Rules.make.in	2010-04-26 14:16:37.114646262 +0200
+++ 18-STYMulator-0.21a_man_pages/Rules.make.in	2010-04-26 14:41:37.433631988 +0200
@@ -1,5 +1,8 @@
 @SET_MAKE@
-BINDIR=@BINDIR@
+exec_prefix=@exec_prefix@
+prefix=@prefix@
+bindir=@bindir@
+mandir=@mandir@
 
 CFLAGS=@CFLAGS@ -Wall -I$(TOPDIR)
 CXXFLAGS=@CXXFLAGS@ -Wall -I$(TOPDIR)
diff -urN 17-STYMulator-0.21a_make_install/ymplayer/Makefile 18-STYMulator-0.21a_man_pages/ymplayer/Makefile
--- 17-STYMulator-0.21a_make_install/ymplayer/Makefile	2010-04-26 14:19:07.633632648 +0200
+++ 18-STYMulator-0.21a_man_pages/ymplayer/Makefile	2010-04-26 14:47:50.973634162 +0200
@@ -36,9 +36,12 @@
 	$(CXX) $(CXXFLAGS) -c ui.cpp
 
 install: all
-	mkdir -p $(DESTDIR)/usr/bin
-	$(INSTALL) ymplayer $(DESTDIR)/usr/bin
-	$(INSTALL) ym2wav $(DESTDIR)/usr/bin
+	mkdir -p $(DESTDIR)$(bindir)
+	$(INSTALL) ymplayer $(DESTDIR)$(bindir)
+	$(INSTALL) ym2wav $(DESTDIR)$(bindir)
+	mkdir -p $(DESTDIR)$(mandir)/man1
+	$(INSTALL) -m 644 ymplayer.1 $(DESTDIR)$(mandir)/man1
+	$(INSTALL) -m 644 ym2wav.1 $(DESTDIR)$(mandir)/man1
 
 clean:
 	$(RM)  *.o ymplayer ym2wav *~
diff -urN 17-STYMulator-0.21a_make_install/ymplayer/ym2wav.1 18-STYMulator-0.21a_man_pages/ymplayer/ym2wav.1
--- 17-STYMulator-0.21a_make_install/ymplayer/ym2wav.1	1970-01-01 01:00:00.000000000 +0100
+++ 18-STYMulator-0.21a_man_pages/ymplayer/ym2wav.1	2010-04-26 11:27:55.000000000 +0200
@@ -0,0 +1,37 @@
+.TH YM2WAV "1" "March 2007" "0.21" "User Commands"
+
+.SH NAME
+.B ym2wav
+- a commandline YM to WAV audio converter.
+
+.SH DESCRIPTION
+STYMulator is an Open Source (GPL License) player which plays music files in the YM chiptune format.
+.br
+In particular the YM files are Yamaha YM2149 soundchip music datas (registers) dumped from the ATARI 16-bit computers.
+.PP
+.B ym2wav
+(part of STYMulator) is a command line YM to WAV audio converter.
+
+.SH SYNOPSIS
+.B ym2wav
+<input_ym_music_file> <output_wav_file>
+
+.SH OPTIONS
+.B ym2wav
+has no options.
+.PP
+It requires two arguments:
+.TP
+.I <input_ym_music_file>
+Relative or absolute filename path of the input YM file.
+.TP
+.I <output_wav_file>
+Relative or absolute filename path of the output WAV file.
+
+.SH SEE ALSO
+ymplayer(1)
+
+.SH AUTHOR
+This manual page was written by Adam Cecile <gandalf@le-vert.net> and was modified by Emanuel Haupt <ehaupt@FreeBSD.org> for FreeBSD.
+.PP
+Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation.
diff -urN 17-STYMulator-0.21a_make_install/ymplayer/ymplayer.1 18-STYMulator-0.21a_man_pages/ymplayer/ymplayer.1
--- 17-STYMulator-0.21a_make_install/ymplayer/ymplayer.1	1970-01-01 01:00:00.000000000 +0100
+++ 18-STYMulator-0.21a_man_pages/ymplayer/ymplayer.1	2010-04-27 00:39:03.826128880 +0200
@@ -0,0 +1,33 @@
+.TH YMPLAYER "1" "March 2007" "0.21" "User Commands"
+
+.SH NAME
+.B ymplayer
+- a curses based player for the YM chiptune format.
+
+.SH DESCRIPTION
+STYMulator is an Open Source (GPL License) player which plays music files in the YM chiptune format.
+In particular the YM files are Yamaha YM2149 soundchip music data (registers) dumped from the ATARI 16-bit computers.
+.PP
+.B ymplayer
+(part of STYMulator) is a console based player for this format. It uses the ncurses library for its user interface.
+
+.SH SYNOPSIS
+.B ymplayer
+<input_ym_music_file>
+
+.SH OPTIONS
+.B ymplayer
+has no options.
+.PP
+It requires a <input_ym_music_file> argument which is a relative or absolute path to
+.I one
+YM music file.
+
+.SH SEE ALSO
+ym2wav(1)
+.br
+
+.SH AUTHOR
+This manual page was written by Adam Cecile <gandalf@le-vert.net> and was modified by Emanuel Haupt <ehaupt@FreeBSD.org> for FreeBSD. OSS patches were provided by Pyraniton.
+.PP
+Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation.
